$danger: #dc3545;
$info: #17a2b8;
$primary: #007bff;
$secondary: #6c757d;
$success: #28a745;
$warning: #ffc107;

:host {

    font-weight: 700;

    ::ng-deep .progress-bar {
        position: absolute;
        top: 91%!important;
        height: 6px;
        left: 0;
        width: 100%!important;
        border-radius: 0 0 2px 2px;
    }

    ::ng-deep .mat-progress-bar-buffer {
        background-color: #e8e8e83d!important;
    }

    ::ng-deep .mat-progress-bar-fill::after {
        background: linear-gradient(0.25turn, #2e323eec, #4e5468ec)!important;
    }

    ::ng-deep .mat-progress-bar-background {
        opacity: 0!important;
    }

    ::ng-deep .mat-progress-bar-fill {
        transition: none;
    }

    .fg {
        &-green {
            color: $success;
        }
        &-orange {
            color: $warning;
        }
        &-warn {
            color: $danger;
        }
        &-accent {
            color: $primary;
        }
    }

    > div {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        > div {
            gap: 4px;
            display: flex;
            flex-direction: row;
            justify-content: start;
            align-items: center;
        }
    }
}